Bug 1013453 - gdb eats gigabytes of memory very fast
gdb eats gigabytes of memory very fast
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Sergio Durigan Junior
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 02:31 EDT by cpg
Modified: 2013-10-20 20:58 EDT (History)
6 users (show)

See Also:
Fixed In Version: gdb-7.6.1-42.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-10 10:47:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cpg 2013-09-30 02:31:33 EDT
Description of problem:

when debugging a go program, gdb eats memory at what looks like 1GB/sec and brings the machine to its knees.

Version-Release number of selected component (if applicable):

gdb-7.6.1-41.fc19

How reproducible:

fairly reproducible, nearly 100% of the time

Steps to Reproduce:
1. git clone https://github.com/amahi/spdy-proxy
2. cd spdy-proxy
3. make
4. gdb bin/p
5. run
6. ^C
7. goroutine 4 bt

Actual results:

gdb stops responding to ctrl-c and the machine becomes unresponsive.

on another ssh session, i could see gdb brutally eating memory

Expected results:

show a backtrace

Additional info:

sergiodj produced a test rpm that has a patch for this issue.
http://koji.fedoraproject.org/koji/taskinfo?taskID=6003277
Comment 1 Sergio Durigan Junior 2013-09-30 02:36:31 EDT
Thanks for the report.  The bug is fixed by the following commit:

commit cbb25189b69e501ddca64917d810b54bb1466c93
Author: Doug Evans <dje@google.com>
Date:   Thu Aug 1 23:59:47 2013 +0000

        PR symtab/15695
        * valops.c (value_struct_elt): Add missing call to check_typedef.
        (value_find_oload_method_list): Ditto.
    
        testsuite/
        * gdb.base/func-ptr.exp: New file.
        * gdb.base/func-ptr.c: New file.

I haven't regression-tested the patch when I generated the scratch build, but it fixes this bug.
Comment 2 Fedora Update System 2013-09-30 23:25:20 EDT
gdb-7.6.1-42.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gdb-7.6.1-42.fc19
Comment 3 Fedora Update System 2013-10-01 00:08:22 EDT
gdb-7.6.50.20130731-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gdb-7.6.50.20130731-12.fc20
Comment 4 Fedora Update System 2013-10-01 00:31:24 EDT
gdb-7.5.1-43.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gdb-7.5.1-43.fc18
Comment 5 Fedora Update System 2013-10-02 02:27:33 EDT
Package gdb-7.5.1-43.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gdb-7.5.1-43.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18050/gdb-7.5.1-43.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-10 10:47:40 EDT
gdb-7.6.50.20130731-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-20 20:58:30 EDT
gdb-7.6.1-42.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.